/*******************************************************************************
* FILE NAME: serial_comm.h
*
* DESCRIPTION:
*  A simple drop in capability that uses an internal timer and a normal digital 
*  output to transmit serial data. 
*
* WRITTEN:
*  Mark McLeod  6/2006 - Improved on an original version from 2004 and ported to Vex for training class
*
*******************************************************************************/

#ifndef __serial_comm_h_
#define __serial_comm_h_

#define SERIAL_SUCCESSFUL      0  // Byte written
#define SERIAL_UNSUCCESSFUL    1  // The output queue is full. Cannot write byte.

void Write_Bit(void);                // Called from interrupt handler
char Write_Byte(unsigned char);      // Called by user code
char Write_String(rom const char *);  // Called by user code
void Initialize_Serial_Timer(void);  //Called from User_Initialize()

#endif
